Create a contact
curl --request POST \
--url https://incoming.qomon.app/contacts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"data": {
"contact": {
"action_ids": [
1
],
"address": {
"addition": "<string>",
"building": "<string>",
"city": "<string>",
"country": "<string>",
"county": "<string>",
"door": "<string>",
"floor": "<string>",
"housenumber": "<string>",
"infos": "<string>",
"pollingstation": "<string>",
"postalcode": "<string>",
"state": "<string>",
"street": "<string>"
},
"age_category": 1,
"birth_city": "<string>",
"birth_country": "<string>",
"birth_dept": "<string>",
"birthdate": "2023-11-07T05:31:56Z",
"black_list": true,
"custom_fields": [
{
"data": "<string>",
"form_id": 1,
"form_ref_id": 1
}
],
"firstname": "<string>",
"formdatas": [
{
"data": "<string>",
"form_id": 1,
"form_ref_id": 1,
"date": "2023-11-07T05:31:56Z",
"survey_id": 1
}
],
"mail": "jsmith@example.com",
"married_name": "<string>",
"mobile": "<string>",
"mobile_invalid": true,
"nationality": "<string>",
"notes": [
{
"id": 1,
"contact_id": 1,
"created_at": "2023-11-07T05:31:56Z",
"data": "<string>",
"group_id": 1,
"only_super_admin": true,
"pinned": true,
"updated_at": "2023-11-07T05:31:56Z",
"user": {
"address": "<string>",
"avatar": "<string>",
"birthdate": "2023-11-07T05:31:56Z",
"city": "<string>",
"firstname": "<string>",
"group_id": [
123
],
"locale": "<string>",
"location": "<string>",
"mail": "jsmith@example.com",
"phone": "<string>",
"postal": "<string>",
"role_data": {
"color": "<string>",
"id": 1,
"mobile": true,
"name": "<string>",
"order": 1,
"web": true
},
"status": "<string>",
"surname": "<string>",
"two_factor_enable": true
}
}
],
"phone": "<string>",
"phone_invalid": true,
"surname": "<string>",
"tags": [
{
"name": "<string>"
}
],
"user_contact_id": 123
}
}
}
'{
"data": {
"contact": {
"id": 1,
"CreatedAt": "2023-11-07T05:31:56Z",
"UpdatedAt": "2023-11-07T05:31:56Z",
"action_ids": [
1
],
"address": {
"addition": "<string>",
"building": "<string>",
"city": "<string>",
"country": "<string>",
"county": "<string>",
"door": "<string>",
"floor": "<string>",
"housenumber": "<string>",
"id": 1,
"infos": "<string>",
"latitude": "<string>",
"location": "<string>",
"longitude": "<string>",
"pollingstation": "<string>",
"postalcode": "<string>",
"score": 123,
"state": "<string>",
"street": "<string>"
},
"age_category": 1,
"birth_city": "<string>",
"birth_country": "<string>",
"birth_dept": "<string>",
"birthdate": "2023-11-07T05:31:56Z",
"black_list": true,
"custom_fields": [
{
"data": "<string>",
"form_id": 1,
"form_ref_id": 1,
"id": 1
}
],
"firstname": "<string>",
"formdatas": [
{
"data": "<string>",
"form_id": 1,
"form_ref_id": 1,
"id": 1,
"contact_id": 1,
"date": "2023-11-07T05:31:56Z",
"group_id": 1,
"survey_id": 1
}
],
"group_id": 1,
"lastchange": "2023-11-07T05:31:56Z",
"lastchangeuserid": 1,
"mail": "jsmith@example.com",
"married_name": "<string>",
"mobile": "<string>",
"mobile_invalid": true,
"nationality": "<string>",
"notes": [
{
"id": 1,
"contact_id": 1,
"created_at": "2023-11-07T05:31:56Z",
"data": "<string>",
"group_id": 1,
"only_super_admin": true,
"pinned": true,
"updated_at": "2023-11-07T05:31:56Z",
"user": {
"CreatedAt": "2023-11-07T05:31:56Z",
"UpdatedAt": "2023-11-07T05:31:56Z",
"address": "<string>",
"avatar": "<string>",
"birthdate": "2023-11-07T05:31:56Z",
"city": "<string>",
"created": "2023-11-07T05:31:56Z",
"firstname": "<string>",
"group_id": [
123
],
"id": 123,
"locale": "<string>",
"location": "<string>",
"mail": "jsmith@example.com",
"phone": "<string>",
"postal": "<string>",
"role_data": {
"color": "<string>",
"id": 1,
"mobile": true,
"name": "<string>",
"order": 1,
"web": true
},
"status": "<string>",
"surname": "<string>",
"two_factor_enable": true
}
}
],
"phone": "<string>",
"phone_invalid": true,
"surname": "<string>",
"tags": [
{
"name": "<string>"
}
],
"user_contact_id": 123
}
},
"status": "<string>"
}Contacts
Create a contact
Creates a contact in the Qomon database.
POST
/
contacts
Create a contact
curl --request POST \
--url https://incoming.qomon.app/contacts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"data": {
"contact": {
"action_ids": [
1
],
"address": {
"addition": "<string>",
"building": "<string>",
"city": "<string>",
"country": "<string>",
"county": "<string>",
"door": "<string>",
"floor": "<string>",
"housenumber": "<string>",
"infos": "<string>",
"pollingstation": "<string>",
"postalcode": "<string>",
"state": "<string>",
"street": "<string>"
},
"age_category": 1,
"birth_city": "<string>",
"birth_country": "<string>",
"birth_dept": "<string>",
"birthdate": "2023-11-07T05:31:56Z",
"black_list": true,
"custom_fields": [
{
"data": "<string>",
"form_id": 1,
"form_ref_id": 1
}
],
"firstname": "<string>",
"formdatas": [
{
"data": "<string>",
"form_id": 1,
"form_ref_id": 1,
"date": "2023-11-07T05:31:56Z",
"survey_id": 1
}
],
"mail": "jsmith@example.com",
"married_name": "<string>",
"mobile": "<string>",
"mobile_invalid": true,
"nationality": "<string>",
"notes": [
{
"id": 1,
"contact_id": 1,
"created_at": "2023-11-07T05:31:56Z",
"data": "<string>",
"group_id": 1,
"only_super_admin": true,
"pinned": true,
"updated_at": "2023-11-07T05:31:56Z",
"user": {
"address": "<string>",
"avatar": "<string>",
"birthdate": "2023-11-07T05:31:56Z",
"city": "<string>",
"firstname": "<string>",
"group_id": [
123
],
"locale": "<string>",
"location": "<string>",
"mail": "jsmith@example.com",
"phone": "<string>",
"postal": "<string>",
"role_data": {
"color": "<string>",
"id": 1,
"mobile": true,
"name": "<string>",
"order": 1,
"web": true
},
"status": "<string>",
"surname": "<string>",
"two_factor_enable": true
}
}
],
"phone": "<string>",
"phone_invalid": true,
"surname": "<string>",
"tags": [
{
"name": "<string>"
}
],
"user_contact_id": 123
}
}
}
'{
"data": {
"contact": {
"id": 1,
"CreatedAt": "2023-11-07T05:31:56Z",
"UpdatedAt": "2023-11-07T05:31:56Z",
"action_ids": [
1
],
"address": {
"addition": "<string>",
"building": "<string>",
"city": "<string>",
"country": "<string>",
"county": "<string>",
"door": "<string>",
"floor": "<string>",
"housenumber": "<string>",
"id": 1,
"infos": "<string>",
"latitude": "<string>",
"location": "<string>",
"longitude": "<string>",
"pollingstation": "<string>",
"postalcode": "<string>",
"score": 123,
"state": "<string>",
"street": "<string>"
},
"age_category": 1,
"birth_city": "<string>",
"birth_country": "<string>",
"birth_dept": "<string>",
"birthdate": "2023-11-07T05:31:56Z",
"black_list": true,
"custom_fields": [
{
"data": "<string>",
"form_id": 1,
"form_ref_id": 1,
"id": 1
}
],
"firstname": "<string>",
"formdatas": [
{
"data": "<string>",
"form_id": 1,
"form_ref_id": 1,
"id": 1,
"contact_id": 1,
"date": "2023-11-07T05:31:56Z",
"group_id": 1,
"survey_id": 1
}
],
"group_id": 1,
"lastchange": "2023-11-07T05:31:56Z",
"lastchangeuserid": 1,
"mail": "jsmith@example.com",
"married_name": "<string>",
"mobile": "<string>",
"mobile_invalid": true,
"nationality": "<string>",
"notes": [
{
"id": 1,
"contact_id": 1,
"created_at": "2023-11-07T05:31:56Z",
"data": "<string>",
"group_id": 1,
"only_super_admin": true,
"pinned": true,
"updated_at": "2023-11-07T05:31:56Z",
"user": {
"CreatedAt": "2023-11-07T05:31:56Z",
"UpdatedAt": "2023-11-07T05:31:56Z",
"address": "<string>",
"avatar": "<string>",
"birthdate": "2023-11-07T05:31:56Z",
"city": "<string>",
"created": "2023-11-07T05:31:56Z",
"firstname": "<string>",
"group_id": [
123
],
"id": 123,
"locale": "<string>",
"location": "<string>",
"mail": "jsmith@example.com",
"phone": "<string>",
"postal": "<string>",
"role_data": {
"color": "<string>",
"id": 1,
"mobile": true,
"name": "<string>",
"order": 1,
"web": true
},
"status": "<string>",
"surname": "<string>",
"two_factor_enable": true
}
}
],
"phone": "<string>",
"phone_invalid": true,
"surname": "<string>",
"tags": [
{
"name": "<string>"
}
],
"user_contact_id": 123
}
},
"status": "<string>"
}To synchronize and mass update your contacts with Qomon database, use
POST /contacts/upsert instead. This synchronous endpoint costs 5 rate-limit tokens per request.Authorizations
OAuth2 access token. Pass the token in the Authorization header as Bearer <token>. The token is looked up in Redis to resolve the caller identity.
Body
application/json
Show child attributes
Show child attributes
Last modified on June 16, 2026
Was this page helpful?
⌘I

